Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02682 Color/Palette Minor Always Nov 26, 2008, 22:58 17 days ago
Tester MAMEBase View Status Public Platform SDLMAME
Assigned To Resolution Open OS MacOS X
Status [?] Confirmed Driver astrocde.cpp
Version 0.128u4 Fixed in Version Build PowerPC
Fixed in Git Commit Github Pull Request #
Summary 02682: gorf and clones: Colors washed out in Astro Battle
Description This has been a long standing issue - In the 'Astro Battle' (Space Invaders) section of Gorf, either

a) the blue background is too bright,
 or
b) the foreground sprites are not bright enough.

Either way, the section is difficult to play, because you can't see your shots, the enemy shots,, and to a lesser extent, the enemies you're shooting at!

Upon closer inspection, it appears that the yellow is severely washed out, or at lest, not as bright as it should be.
Steps To Reproduce Play the game
Additional Information I've looked at the video of the actual cabinet attached to the other Gorf report, and it seems as though the intensity of the blue background is softer in the real cabined as compared to the emulated game.
Github Commit
Flags
Regression Version
Affected Sets / Systems gorf and clones
Attached Files
png file icon Gorf MiSTer.png (197,676 bytes) Oct 8, 2020, 19:45 Uploaded by StevieLloydy
Gorf Astro Battles on MiSTer FPGA
StevieLloydy
png file icon 2020-08-23.png (2,901,768 bytes) May 7, 2021, 03:22 Uploaded by mikeky
Yet another version of Gorf?
Relationships
duplicate of 06252Closed  gorf and clones: Colors in Gorf are not correct. 
related to 07618Acknowledged  astrocde and clones: Bally Arcade/Astrocade - Incorrect Color Palette 
Notes
15
User avatar
No.03130
Fujix
Administrator
Nov 26, 2008, 23:17
Please write down correct zip name in lower case.
User avatar
No.03131
Fujix
Administrator
Nov 26, 2008, 23:36
Doesn't adjusting display options (gamma, contrast) help?

I'd like an objective evidence or something proofs that current MAME colors are wrong.
User avatar
No.03132
MAMEBase
Tester
Nov 26, 2008, 23:42
My apologies, I'm new to this site...

I will attempt to see if changing the display options makes a difference, but if it does, would that not indicate that the default values are incorrect?
User avatar
No.03135
Tafoid
Administrator
Nov 26, 2008, 23:57
Each monitor is different. Computer monitors CRT's, LCD all have variances to them that might cause different issue when compared to a cam recording of a dedicated arcade frequency CRT. I'll set this up for Dev discussion - hopefully Aaron can chime in on this since he was the last to clean this driver up.
User avatar
No.03136
MAMEBase
Tester
Nov 27, 2008, 00:09
Thank you.

FWIW, I tried adjusting the Gamma and Brightness to see if the situation improved...

It did not.

In fact, adjusting the brightness and/or gamma washes out the colors for the rest of the game.

As far as I can tell (and I'll be the first to admit I'm no expert), the intensity of the blue background in the first stage is simply too bright, making the rest of the play difficult to see.

Later stages, of course, have a black background, and so don't seem to exhibit this problem.
User avatar
No.03217
aaron
Developer
Dec 4, 2008, 08:38
It is known that the colors in the astrocade games are not quite right. Making them right is very difficult and requires a hand-written test program and an oscilloscope. It's on my to-do list.
User avatar
No.03303
MAMEBase
Tester
Dec 14, 2008, 06:18
I'm just curious -

Given that it's known that the colors in Gorf are not 100% accurate, shouldn't the game be flagged to reflect this?
User avatar
No.03304
Tafoid
Administrator
Dec 14, 2008, 15:55
We have acknowledgment here of the bug.. I'd say no, it would not be flagged.
To be completely honest about it, if a flag would were to be added, there would be people posting and asking why it's flagged. Most end users who use MAME are get ticked off when they have to type and extra "OK" for no apparent reason (since this is not an entirely obvious bug). If it were, it would have been flagged like that when Aaron redid the driver.
User avatar
No.03305
MAMEBase
Tester
Dec 14, 2008, 23:32
I see, thank you.

For the record, I'm not trying to be difficult, or argumentative, just trying to gain a better understanding of the process...
User avatar
No.18046
StevieLloydy
Tester
Oct 8, 2020, 19:49
Don't know whether this helps, but it seems that MiSTer FPGA runs GORF with the correct colour blue in Astro Battles as per attached photo. This webpage also shows some comparisons between the arcade machine and MAME https://www.mameworld.info/ubbthreads/showflat.php?Cat=&Number=353575&page=&view=&sb=5&o=&vc=1&fbclid=IwAR356t0NbCoatnSywmC3oSR02DoqsvpwL19czQz_gEQ9YO_wN-KqighJGY4
User avatar
No.18266
StevieLloydy
Tester
Dec 16, 2020, 21:20
It seems a bad rom on the original hardware can also lead to a washed out blue in Astro Battles https://forums.arcade-museum.com/threads/gorf-help-blue-color-problem.336108/
User avatar
No.18291
Mr. Do
Tester
Dec 28, 2020, 12:05
Mostly unscientific observation based on watching YouTube videos of multiple different arcade cabinets:

Going back in history, it looks like current colors were first "fixed" in 0.37b1, by Nicola, which was a HUGE improvement over the totally wrong colors in 0.36.

Everyone focuses on the blue background... but that isn't the only thing "off":

1) In current MAME, the eyes of the green invaders look red; in multiple videos, the eyes look yellow. Now, they aren't actually red in MAME, it is just how it looks, due to the surrounding green. Take a screenshot, use an eyedropper tool, and you can see that the RGB of the eyes is the same as the scoreboard and "yellow" invaders, (255,141,0), which is actually a dark orange, and not actually yellow, like other actual arcade cabinets look like (again, in video).

2) In current MAME, the red invaders are "very sparkly" matching the sparkle of the shield. The bonus ship that flies at the top of the screen and the Gorf that spews out the invaders in the beginning also has the same sparkle. In other videos, the "sparkle effect" on the invaders seems much less pronounced than what is currently in MAME.

Ideally, need to get a good look at a live game running, to tell for sure these difference. As Aaron mentioned above from twelve years ago, this isn't going to be an easy fix.
User avatar
No.18820
mikeky
Tester
May 7, 2021, 03:26
edited on: May 7, 2021, 03:38
So i've been following this thread for years..........I've uploaded yet another version of gorf showing completely different astro battle colors and background stars. This is the version I remember from the 80s.

Some of the early standalone emulator versions of WinGorf had this version but then changed to the totally incorrect mame colors.
BTW. What's wrong with flagging the palette colors as a bug? Other games with palette issues are flagged. Right now only the imperfect sound is brought up when starting the game.

IMHO, the palette issue is a much bigger distraction than the minor sound issue. But that's my opinion-withhold all attacks please.
User avatar
No.18842
aaron
Developer
May 14, 2021, 04:26
edited on: May 14, 2021, 06:40
Frank Palazzolo recently did some analysis of this and I think he's got something pretty close to a fix. I'll ping him about getting it in sooner rather than later.
User avatar
No.18921
mikeky
Tester
17 days ago
That would be great. It looks like this bug has been around since before 2008. Will this also fix the astrocade/Bally home arcade bad palette?